package com.ym.mec.biz.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.biz.dal.dao.MusicGroupSubjectGoodsGroupDao;
import com.ym.mec.biz.dal.entity.MusicGroupSubjectGoodsGroup;
import com.ym.mec.biz.service.MusicGroupSubjectGoodsGroupService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

import java.util.List;

@Service
public class MusicGroupSubjectGoodsGroupServiceImpl extends BaseServiceImpl<Long, MusicGroupSubjectGoodsGroup>  implements MusicGroupSubjectGoodsGroupService {
	
	@Autowired
	private MusicGroupSubjectGoodsGroupDao musicGroupSubjectGoodsGroupDao;

	@Override
	public BaseDAO<Long, MusicGroupSubjectGoodsGroup> getDAO() {
		return musicGroupSubjectGoodsGroupDao;
	}

	@Override
    public List<MusicGroupSubjectGoodsGroup> findGoodsGroup(String musicGroupId, Integer subId) {
        return musicGroupSubjectGoodsGroupDao.findGoodsGroup(musicGroupId, subId);
    }

	@Override
	public List<MusicGroupSubjectGoodsGroup> findGoodsGroupByIds(String ids) {

		return musicGroupSubjectGoodsGroupDao.findGoodsGroupByIds(ids);
	}

	@Override
	public MusicGroupSubjectGoodsGroup query(String musicGroupId, Integer subjectId, String goodsIdList) {
		return musicGroupSubjectGoodsGroupDao.query(musicGroupId, subjectId, goodsIdList);
	}
}